import { OnDestroy, OnInit } from "@angular/core";
import { UntypedFormControl, ValidationErrors } from "@angular/forms";
import { SchemaFormBaseWidget } from "./schema-form-base-widget.component";
import * as i0 from "@angular/core";
/** This base class creates and maintains a formcontrol */
export declare abstract class ReactiveFormBasedInputWidgetComponent extends SchemaFormBaseWidget implements OnDestroy, OnInit {
    get formControl(): UntypedFormControl;
    ngOnInit(): void;
    ngOnDestroy(): void;
    protected get errors(): ValidationErrors;
    protected hasErrors(): boolean;
    protected getFormControlName(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ReactiveFormBasedInputWidgetComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ReactiveFormBasedInputWidgetComponent, never, never, {}, {}, never, never, false, never>;
}
