import { OnInit } from "@angular/core";
import { ErrorStateMatcher } from "@angular/material/core";
import { InlineTranslation } from "@smallstack/i18n-shared";
import { SchemaFormBase } from "./schema-form-base.component";
import * as i0 from "@angular/core";
export declare class SchemaFormBaseWidget extends SchemaFormBase implements OnInit {
    label: string | InlineTranslation;
    i18nPrefix?: string;
    placeholder?: string;
    get required(): boolean;
    get errorStateMatcher(): ErrorStateMatcher;
    onClick(e: MouseEvent): Promise<void>;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SchemaFormBaseWidget, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SchemaFormBaseWidget, never, never, {}, {}, never, never, false, never>;
}
