import { MatLegacyFormFieldAppearance as MatFormFieldAppearance } from "@angular/material/legacy-form-field";
export interface FormOptions {
    [key: string]: any;
    /** contains the current context e.g. when used inside a widget tree */
    context?: any;
    showLabel?: boolean;
    showHint?: boolean;
    appearance?: MatFormFieldAppearance;
    /**
     * defaults to "blur"
     */
    validateOn?: "change" | "blur" | "submit";
    /** uses an info box (an i icon) instead of descriptions below the input fields */
    useInfoBox?: boolean;
    /** tries to use as compact ui's as possible */
    compactMode?: boolean;
}
