import { UntypedFormGroup } from "@angular/forms";
import { TranslationStore } from "@smallstack/i18n-components";
import { Subscription } from "rxjs";
import { FormService } from "./form.service";
import * as i0 from "@angular/core";
export interface SchemaFormErrors {
    [field: string]: string;
}
export declare class SchemaFormService extends FormService {
    translationStore: TranslationStore;
    formGroup: UntypedFormGroup;
    protected subscription: Subscription;
    destroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SchemaFormService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SchemaFormService>;
}
